
@import url("https://use.typekit.net/csd7lit.css");

*{
   
    margin: 0 auto;
    padding: 0;
    text-decoration: none;
    font-family: "neuzeit-grotesk", sans-serif;
    box-sizing: border-box;
    
}
::selection {
  background: var(--main-color2); /* WebKit/Blink Browsers */
}
::-moz-selection {
  background: var(--main-color2); /* Gecko Browsers */
}

:root{
    --main-color: #046880;
    --main-color2: #FBC51C;
    --secondary-color: #89CDE1;
    --secondary-color2: #C9EAF6;
    --secondary-color3: #FDE9A9;
    --tertiary-color: #525BA8;
    --tertiary-color2: #959ACD;
    --tertiary-color3: #FBFADF;

}
body {
  overflow-x: hidden;
  margin: 0;
  position: relative;
  cursor: url("./images/cursor.svg"), auto;
  scrollbar-color: red;
  scrollbar-width: thin;
 
}
/*body::-webkit-scrollbar {
  width: .6em;
  opacity: 40%;

}
 
body::-webkit-scrollbar-thumb {
  background-color: var(--tertiary-color2);
  max-height: .3em;
  height: .3em;
}*/

a{
  text-decoration: none;
  all: unset;
  cursor: pointer;
}
a:visited{
  text-decoration: none;
 
}
main{
  min-height: 100vw;
  margin: 1em auto;
  margin-bottom: 8em;
}


h1{
  font-family: "cabrito-didone-normal", "antic didone", "vidaloka", serif;
    padding-bottom: .6em;
    font-size: 4.5em;
    font-weight: 700;
    text-align: left;
    line-height: 110%;
}

h2{
  font-family: "cabrito-didone-normal", "antic didone", "vidaloka", serif;
  text-align: center;
  font-size: 2.4em;
  text-transform: uppercase;
  font-weight: 600;

}


h3{
  font-family: "neuzeit-grotesk", sans-serif;
  color: var(--tertiary-color);
  font-weight: 400;
   text-transform: uppercase;
   letter-spacing: 2px;
   line-height: 130%;
}

h4{
  font-family: "cabrito-didone-normal", "antic didone", "vidaloka", serif;
  color: var(--tertiary-color);
  font-size: 3em;
  font-style: italic;
  margin-bottom: .8em;
}

h5{
  font-family: "cabrito-didone-normal", "antic didone", "vidaloka", serif;
  color: black;
  font-size: 1.5em;
  font-style: italic;
  font-weight: 700;

}


p{
    font-size: 1.5em;
    text-align: center;
    font-weight: 100;
    
    
}

.button-wide{
  all: unset;
  margin: 0 auto;
  display: inline-block;
  cursor: pointer;
  text-transform: uppercase;
  text-align: center;
  max-width: 330px;
  width: 280px;
  min-width: 250px;
  background-color: var(--main-color2);
  padding: .9em 3em;
  letter-spacing: .6px;

}
a.button-wide{
  cursor: pointer;
  color: var(--tertiary-color);
  min-width: 300px;
  font-weight: 500;
}
a.button-wide:hover{
  
  background-color: var(--main-color);
  color: #FBC51C;
  transition: all .20s ease-in-out;
}

.contact-wrap{
  background-color: var(--tertiary-color3);
  padding: 3em;
  margin: 4em auto;
  height: auto;
  text-align: center;
  min-height: 40em;
  max-width: 1500px;
}
.contact-text{
  padding: 3em 0;
}
p.contact-text{
  margin-top: 1.3em;
  text-align: center;
  margin: auto;
  max-width: 1150px;

}
a.email-contact{
  margin: 0 auto;
  text-align: center;
  font-size: 2em;
  font-weight: 600;
}
a.email-contact:hover{
  color: var(--main-color2);

}




/* Nav Bar */


nav{
  height: 7em;
  width: 100vw;
  background-color: var(--secondary-color2);
 /* box-shadow: 0 3px 20px rgba(0, 0, 0, 0.2);*/
  display: flex;
  /*position: fixed;*/
  z-index: 10;
  float: top;
  justify-content: space-between;
}

/*Styling Logo*/
.logo{
  z-index: 12;
  width: 250px;
  padding: 1.2em 4em;
  text-align: center;
  
}
a.logo img {
  cursor: pointer;
  width: 100%;
  height: auto;
}

/*Styling Links*/
.nav-links{
  display: flex;
  list-style: none; 
  width: 40em;
  padding: 0 0.7vw;
  justify-content: space-evenly;
  align-items: center;
  text-transform: uppercase;
  margin-right: 3em;
  float: right;
}
.nav-links li a{
  font-family: "neuzeit-grotesk", sans-serif;
  font-size: 1.2em;
  font-weight: 400;
  /*color: var(--secondary-color2);*/
  color: #131418;
  text-decoration: none;
  margin: 0 0.3vw;
}
.nav-links li a:hover {
  color: var(--tertiary-color);
}
.nav-links li {
  
  position: relative;
}
.nav-links li a::before {
  content: "";
  display: block;
  height: 3px;
  width: 0%;
  background-color: var(--main-color2);
  position: absolute;
  transition: all ease-in-out 250ms;
  margin: 0 0 0 0;
}
.nav-links li a:hover::before{
  width: 100%;
}

#home-page nav ul.nav-links li:nth-child(1) a,
#work-page nav ul.nav-links li:nth-child(2) a,
#about-page nav ul.nav-links  li:nth-child(3) a,
#contact-page nav ul.nav-links li:nth-child(4) a{
  color: var(--tertiary-color);
}

/*Styling Hamburger Icon*/
.hamburger div{
  width: 30px;
  height:3px;
  background: black;
  margin: 5px;
  transition: all 0.3s ease;
}
.hamburger{
  display: none;
}

/*Stying for small screens*/
@media screen and (max-width: 800px){
  nav{
      /*position: fixed;*/
      z-index: 11;
      position: relative;
  }
  .hamburger{
      display:block;
      position: absolute;
      cursor: pointer;
      right: 5%;
      top: 50%;
      transform: translate(-5%, -50%);
      z-index: 13;
      
      transition: all 0.5s ease;
  }
  .nav-links{
     position: fixed;
      background: var(--secondary-color2);
      height: 100vh;
      width: 100%;
      flex-direction: column;
      clip-path: circle(50px at 90% -20%);
      -webkit-clip-path: circle(50px at 90% -10%);
      transition: all .7s ease-out;
      pointer-events: none;
  }
  .nav-links.open{
      clip-path: circle(1000px at 95% -5%);
      -webkit-clip-path: circle(1000px at 95% -5%);
      pointer-events: all;
      color: var(--secondary-color2);
      overflow-x: hidden;
      overflow-y: hidden;
  }
  .nav-links li{
      opacity: 0;
  }
  .nav-links li:nth-child(1){
      transition: all 0.5s ease 0.2s;
  }
  .nav-links li:nth-child(2){
      transition: all 0.5s ease 0.4s;
  }
  .nav-links li:nth-child(3){
      transition: all 0.5s ease 0.6s;
  }
  .nav-links li:nth-child(4){
      transition: all 0.5s ease 0.7s;
  }
  .nav-links li:nth-child(5){
      transition: all 0.5s ease 0.8s;
  }
  .nav-links li:nth-child(6){
      transition: all 0.5s ease 0.9s;
      margin: 0;
  }
  .nav-links li:nth-child(7){
      transition: all 0.5s ease 1s;
      margin: 0;
  }
  li.fade{
      opacity: 1;
  }
}
/*Animating Hamburger Icon on Click*/
.toggle .line1{
  transform: rotate(-45deg) translate(-5px,6px);
}
.toggle .line2{
  transition: all 0.5s ease;
  width:0;
}
.toggle .line3{
  transform: rotate(45deg) translate(-5px,-6px);
}






/* Home Page Styles */

#home-intro{
  margin: 0 auto;
  padding: 0 2em;
  display: flex;
  align-items: center;
  max-width: 1380px;
  min-width: 300px;
  margin-top: 3.5em;
  color: var(--main-color);
  
}
#intro-text-wrap{
 
  margin-right: 3em;
  padding-right: 5em;

}
p#intro-paragraph {
  font-family: "cabrito-didone-normal", "antic didone", "vidaloka", serif;
  font-style: italic;
  font-size: 2.7em;
  font-weight: 100;
  margin: 0;
  text-align: left;
}
#home-image-wrap{
  border: solid black .6em;
  border-radius: 13em 13em 0 0;
  min-width: 350px;
  width: 350px;;
  height: 550px;
  overflow-y: hidden;
  overflow-x: hidden;
  


}
#home-portrait{
  text-align: center;
  width: auto;
  height: 100%;
  

}

#featured-projects-wrap{
  background-color: var(--tertiary-color3);
  margin: 4em auto;
  left: 0;
  right: 0;
  text-align: center;
  padding: 3em 2em;
  overflow: auto;
  width: 100vw;
}

#projects-wrap{
  display: flex;
  justify-content: space-between;
  max-width: 1350px;
  margin: 4.5em auto;
}
.featured-project{
  position: relative;
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  align-items: center;
  margin: 1em;

}
.featured-project a{
  all: unset;
  cursor: pointer;
  
}
.project-image-wrap{
  width: 375px;
  height: 350px;
  overflow: hidden;
}
.project-image-wrap:hover{
  margin-top: -.3em;
  transition: .25s ease-in-out;
  box-shadow: 5px 5px 35px 5px rgba(105, 94, 53, 0.1);

}


.project-image-wrap img{
  width: auto;
  height: 100%;
}

.project-description{
  background-color: white;
  height: 7em;
  width: 300px;
  margin-top: -2em;
  padding: 1em;

}

p.home-contact-text{
  font-weight:100;
  max-width: 550px;
  padding: 2em 0;
  font-size: 1.5em;

}

#home-contact-wrap{
  background-color: var(--secondary-color2);
  max-width: 800px;
  min-width: 330px;
  height: 350px;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 3em;


}


.footer-wrap{
  min-height: 12em;
  background-color: var(--main-color);
  color: white;
  display: flex;
  padding: 2em;
  align-items: flex-end;
  justify-content: space-between;
  flex-wrap: wrap;
}
.footer-text-wrap{
  padding-bottom: 1em;
}
#footer-text{
  font-size: 1.1em;
  text-align: left;
  line-height: 1.4em;
}

.footer-logo{
  margin: 1em auto;
  padding: 1em;
}

.social-media-wrap{
  display: flex;
  padding: 1em;
  

}
.social-media-wrap a{
  margin: .5em;
  cursor: pointer;

}
.social-media-wrap a img{
  width: 3em;
  height: auto;

}
















/* Media Querries*/

@media (max-width: 1025px){
  .footer-wrap{
    flex-direction: column-reverse;

  }
  #footer-text{
    font-size: 1em;
    text-align: center;

  }


}

@media (min-width: 950px) {
      
    .header li {
        float: left;
        
    }
    .header li a {
        padding: 20px 0px 0px 0px;
        margin-left: 30px;
    }
    .header .menu {
        clear: none;
        float: right;
        max-height: none;
    }
    .header .menu-icon {
        display: none;
    }
    

}




@media (min-width: 48em) {
  .section-split a {
    width: 50%;
  }
 
  
}
@media (max-width: 955px){
    .header ul{
        text-align: center;

    }
   #draggable-elem{
    display: none;

    }
    
    

}

@media (max-width: 1285px){
  #featured-projects-wrap{
    text-align: center;
    padding: 3em .8em;
    
  }
  .featured-project{
    margin: 1em .6em;
  
  }

}

@media (max-width: 1210px){
  .project-image-wrap{
    width: 300px;
    height: 280px;
    overflow: hidden;
  }

  .project-description{
    background-color: white;
    height: 7em;
    width: 225px;
  }
}



@media (max-width: 1100px){
  h1{
    font-size: 3em;
  }
  p#intro-paragraph{
    font-size: 2em;
  }
  #intro-text-wrap{
    padding-right: 1.2em;
    margin-right: 1em;
  }
}

@media (max-width: 985px){
  #projects-wrap{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
  }
}


@media (max-width: 900px){
  h2{
    font-size: 1.8em;
  }
  #home-image-wrap{
    min-width: 250px;
    width: 250px;;
    height: 400px;

  }
  .button-wide{
    all: unset;
    margin: 0 auto;
    display: inline-block;
    cursor: pointer;
    text-transform: uppercase;
    text-align: center;
    max-width: 330px;
    width: 280px;
    min-width: 250px;
    background-color: var(--main-color2);
    padding: .9em 1em;
    letter-spacing: .6px;
  
  }
 
  a.email-contact{
    
    font-size: 1.7em;
    
  }
  #contact-page{
    overflow-x: hidden;
  }

}
@media screen and (max-width: 800px){
  #home-intro{
    flex-direction: column;
  }
  #intro-text-wrap{
    margin: 0 auto;
    padding: 0 0 2em 0;
  }

}

@media (max-width: 400px){
  #footer-text{
    font-size: .8em;
    text-align: center;

  }

}

